<?php
class TMSlider extends Module
{
	function __construct()
	{
		$this->name = 'tmslider';
		$this->tab = 'advertising_marketing';
		$this->version = '1.0';
		parent::__construct(); // The parent construct is required for translations
		$this->page = basename(__FILE__, '.php');
		$this->displayName = $this->l('TM Slider');
		$this->description = $this->l('Displays a slider at the top of homepage');
	}
	function install()
	{
		if (!parent::install() OR !$this->registerHook('top'))
			return false;
		return true;
	}
	function hooktop($params)
	{
		global $smarty;
		
		return $this->display(__FILE__, 'tmslider.tpl');
	}
}